| The Gaudi Framework v32r1 (f65d50dc)

Classes | Namespaces | Functions
DataObjID.cpp File Reference
`#include "GaudiKernel/DataObjID.h"`
`#include "GaudiKernel/Bootstrap.h"`
`#include "GaudiKernel/IClassIDSvc.h"`
`#include "GaudiKernel/ISvcLocator.h"`
`#include <Gaudi/Parsers/Factory.h>`
`#include <functional>`
`#include <iomanip>`
`#include <iostream>`
`#include "GaudiKernel/ToStream.h"`
Include dependency graph for DataObjID.cpp:

Go to the source code of this file.

## Classes
struct | Gaudi::Parsers::DataObjIDGrammar< Iterator, Skipper >
struct | Gaudi::Parsers::DataObjIDGrammar< Iterator, Skipper >::Operations

## Namespaces
| Gaudi
| Header file for std:chrono::duration-based Counters.
| Gaudi::Parsers

## Functions
| Gaudi::Parsers::REGISTER_GRAMMAR (DataObjID, DataObjIDGrammar)
StatusCode | parse (DataObjID &dest, const std::string &src)
std::ostream & | toStream (const DataObjID &d, std::ostream &os)

## Function Documentation

## ◆ parse()

StatusCode parse | ( | DataObjID & | dest,
|  | const std::string & | src
| ) |  |

Definition at line 46 of file DataObjID.cpp.

46 { return Gaudi::Parsers::parse_( dest, quote( src ) ); }
Gaudi::Parsers::parse_
StatusCode parse_(ResultT &result, const std::string &input)
Definition: Factory.h:29
gaudirun.dest
dest
Definition: gaudirun.py:201

## ◆ toStream()

std::ostream& toStream | ( | const DataObjID & | d,
|  | std::ostream & | os
| ) |  |

Definition at line 82 of file DataObjID.cpp.

82 {
83 using Gaudi::Utils::toStream;
84 return ( d.m_clid != 0 || !d.m_className.empty() ) ? toStream( std::tie( d.m_className, d.m_key ), os )
85 : toStream( d.m_key, os );
86 }
std::string::empty
T empty(T... args)
Gaudi::Utils::toStream
std::ostream & toStream(ITERATOR first, ITERATOR last, std::ostream &s, const std::string &open, const std::string &close, const std::string &delim)
the helper function to print the sequence
Definition: ToStream.h:284
std::tie
T tie(T... args)
DataObjID::m_key
std::string m_key
Definition: DataObjID.h:73
DataObjID::m_clid
CLID m_clid
Definition: DataObjID.h:70
toStream
std::ostream & toStream(const DataObjID &d, std::ostream &os)
Definition: DataObjID.cpp:82
DataObjID::m_className
std::string m_className
Definition: DataObjID.h:74